Skip to main content
Kofax

Password does not meet Windows policy requirements because it is too short error installing Service Pack or Fix Pack

22156

QAID # 22156 Published

Question / Problem:

What can cause an issue when installing a service pack or fix pack and the ERR_YYMM.log file shows the following error message when DBUtil tries to patch the Kofax Capture database:

C:\Program Files (x86)\Kofax\CaptureSS\ServLib\Bin, DBUtil, , 10.01.1385,
Utilities.PatchDatabases, 0, Error 5: Password validation failed. The password does
not meet Windows policy requirements because it is too short. (15116)
(Line: 1)
(CREATE LOGIN [StatsMgr] WITH PASSWORD='xxxxxxxx'), ,

How can I resolve this issue?

Answer / Solution:

This issue can be caused by Windows policy requirements where the minimum password length is greater than 8 characters long.

The /NoDb switch functionality was implemented in the following Kofax Capture versions so that the Kofax Capture database can be patched separately:

Kofax Capture 10.0.2.9 or higher. Kofax Capture 10.1.1.1 or higher. Kofax Capture 10.2 or higher.

To resolve this issue:

  1. Re-install the service pack or fix pack using the /NoDb switch by running the following command:
    > KofaxCapture-10.x_Updater_EN.EXE /NoDb
    Examples:
    KofaxCapture-10.0_Updater_EN.EXE /NoDb
    KofaxCapture-10.1_Updater_EN.EXE /NoDb
    KofaxCapture-10.2_Updater_EN.EXE /NoDb
  2. Check the ERR_YYMM.log file for the location of the generated PatchDB.sql file.
  3. Using SQL Management Studio, Oracle SQL Developer or some other database query tool, run the SQL queries contained in the PatchDB.sql file, and make sure that they were successfully applied.
    If using SQL Management Studio, SQLCMD Mode should be enabled by selecting Query ¦ SQLCMD Mode, otherwise the following error may occur:
    Incorrect syntax near ':'
NOTE: If the Standard database is used, please contact Kofax Technical Support for assistance.

Applies to:

Product Version
CAPTURE 10.0
  10.1
  10.2